Bug 822613 - libvirt should use qemu "enforce" -cpu flag
libvirt should use qemu "enforce" -cpu flag
Status: CLOSED DUPLICATE of bug 822148
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On: 692374
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 11:41 EDT by Eduardo Habkost
Modified: 2013-01-25 06:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 822148
Environment:
Last Closed: 2012-08-09 01:47:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Habkost 2012-05-17 11:41:21 EDT
Cloning bug for 6.4.

This depends on bug 692374, that is about making "-cpu enforce" work reliably.

+++ This bug was initially created as a clone of Bug #822148 +++

Description of problem:
To make sure libvirt is always getting exactly the CPU flags it asked qemu for, it has to use "-cpu <model>,enforce", so qemu won't start if the requested flags can't be exposed.

This may be a problem in case users have existing VMs that are working perfectly for them, but would fail to start if "enforce" is used. Maybe the new behavior could be enabled only for new machine-types?

Note You need to log in before you can comment on or make changes to this bug.